std::bitset::set(3)

NAME
std::bitset::set - std::bitset::set

Synopsis
   bitset& set(); (until C++11)
   bitset& set() noexcept; (since C++11)
                        (until C++23)
   constexpr bitset& set() noexcept; (1) (since C++23)
   bitset& set( std::size_t pos, bool value = true (until C++23)
   ); (2)
   constexpr bitset& set( std::size_t pos, bool (since C++23)
   value = true );
   Sets all bits to true or to specified value.
   1) Sets all bits to true.
   2) Sets the bit at position pos to the value value.

Parameters
   pos - the position of the bit to set (least significant to most significant)
   value - the value to set the bit to

Return value
   *this

Exceptions
   2) Throws std::out_of_range if pos does not correspond to a valid position within
   the bitset.

Example
// Run this code
 #include <iostream>
 #include <bitset>
 int main()
 {
     std::bitset<8> b;
     std::cout << b << '\n';
     std::cout << b.set() << '\n';
     std::cout << b.reset() << '\n';
     for (size_t i = 1; i < b.size(); i += 2) {
         b.set(i);
     }
     std::cout << b << '\n';
 }

Output:
 00000000
 11111111
 00000000
 10101010

See also
   reset sets bits to false
         (public member function)
   flip toggles the values of bits
         (public member function)